#
# spec file for package nodejs-rimraf
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name rimraf

Name:           nodejs-rimraf
Version:        2.4.2
Release:        13.1
Summary:        A rm -rf util for nodejs
License:        MIT
Group:          Development/Libraries/Other
Url:            https://github.com/isaacs/rimraf
Source:         http://registry.npmjs.org/%{base_name}/-/%{base_name}-%{version}.tgz
BuildRequires:  nodejs-packaging
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%nodejs_find_provides_and_requires

%description
rm -rf for node

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_modulesdir}/%{base_name}
cp -pr package.json rimraf.js \
        %{buildroot}%{nodejs_modulesdir}/%{base_name}/

%files
%defattr(-,root,root)
%doc LICENSE README.md
%{nodejs_modulesdir}/rimraf

%changelog
* Wed Jul 29 2015 i@marguerite.su
- update version 2.4.2
* Sat Jul  4 2015 i@marguerite.su
- glob dependenccy version > 5.0
* Sat Jun  6 2015 i@marguerite.su
- update version 2.3.4
* Fri Apr 24 2015 hvogel@suse.com
- Update to version 2.3.2
* Thu Oct  9 2014 jgleissner@suse.com
- use nodejs-packaging for building
* Sun Sep 21 2014 i@marguerite.su
- format specfile
* Sat Aug 23 2014 i@marguerite.su
- initial version 2.2.8
  * Unit tests can actually fail now
  * Fix synchronous directory removal
  * Always pass options, lay minefield of assertions
